<template>
  <div>
    <div class="columns">
      <article class="hero is-medium column is-12">
        <div
          class="hero-body scale-on-hover has-half-second-transition is-background-cover"
          :style="{ backgroundImage: 'url(' + articleOne.picture + ')' }">
          <div class="">
            <h1 class="title has-text-white has-background-dimmed-dark">
              {{ articleOne.title }}
            </h1>
            <h2 class="subtitle has-text-white has-background-dimmed-dark">
              {{ articleOne.subtitle }}
            </h2>
          </div>
        </div>
      </article>
    </div>
    <div class="columns">
      <article class="hero is-medium column is-6-tablet is-12-mobile">
        <div
          class="hero-body scale-on-hover has-half-second-transition is-background-cover"
          :style="{ backgroundImage: 'url(' + articleTwo.picture + ')' }">
          <div class="">
            <h1 class="title has-text-white has-background-dimmed-dark">
              {{ articleTwo.title }}
            </h1>
            <h2 class="subtitle has-text-white has-background-dimmed-dark">
              {{ articleTwo.subtitle }}
            </h2>
          </div>
        </div>
      </article>
      <article class="hero is-medium column is-6-tablet is-12-mobile">
        <div
          class="hero-body scale-on-hover has-half-second-transition is-background-cover"
          :style="{ backgroundImage: 'url(' + articleThree.picture + ')' }">
          <div class="">
            <h1 class="title has-text-white has-background-dimmed-dark">
              {{ articleThree.title }}
            </h1>
            <h2 class="subtitle has-text-white has-background-dimmed-dark">
              {{ articleThree.subtitle }}
            </h2>
          </div>
        </div>
      </article>
    </div>
  </div>
</template>

<script>
export default {
  name: 'ArticleHero',
  props: ['articleOne', 'articleTwo', 'articleThree'],
};
</script>

<style scoped>

</style>
